AlarmWiz

AlarmWiz is an easy-to-use, but powerful, alarm scheduling and scripting program. For information on AlarmWiz's features, click on the links below:

  • AlarmWiz Basics Explore the basics of AlarmWiz.
  • Simple Alarms describes creating simple alarms.
  • Scripted Alarms describes creating scripted alarms.
  • Client/Server Setup describes client/server configuration methods.
  • FTP Setup describes FTP options.


AlarmWiz Basics

AlarmWiz features an easy-to-use interface which allows quick access to most functions. A sample main window is shown below with four alarms entered:

The main functions of AlarmWiz are contained within the left (green) bar:

Alarm Schedule: Allows user to create, edit, delete, and view alarms.

The toolbar at the top of the AlarmWiz window will be enabled when the Alarm Schedule option is selected. The toolbar includes buttons to add, edit, delete, and test alarms. For more information on adding alarms, see the Simple Alarm and Scripted Alarm sections of help.

Alarm Events: Displays a listing of the next 40 alarm events.

Time Sync: Allows the system time to be synchronized to the U.S. national atomic clock.


Simple Alarms

AlarmWiz's first alarm configuration type is the Simple Alarm. Simple Alarms allow the user to quickly configure alarms with common options. To configure a Simple Alarm:

1. Click on the "Simple Alarm" selection on the top of Add Alarm window (see illustration below).

2. Select a start date and time for the alarm.

3. Select whether the alarm should be repeated. If the alarm is repeated, then click on the Repeat Tab to select how often the alarm is repeated.

4. Click on the "Alarm Info." tab and enter the name which you would like to assign to the alarm. A message may also optionally be entered on the tab to be displayed in the alarm window.

5. Use the Musical Alarm, Dialup, File/Web, Paging/Email tabs to set events for the alarm. AlarmWiz will execute events for all tabs which have associated events. For example, if a DialUp session is configured and a web site launch is entered, then AlarmWiz will dial the Internet connection and then open the web site.


Scripted Alarms

AlarmWiz's second more advanced alarm configuration type is the Scripted Alarm. Scripted Alarms allow the user flexibility in defining a logic set of actions to accomplish a set goal. To configure a Scripted Alarm, follow the steps below:

1. Click on the "Scripted Alarm" selection on the top of Add Alarm window (see illustration below).

2. Click on the Alarm Time tab. Select a start date and time for the alarm.

3. On the Alarm Time tab, select whether the alarm should be repeated. If the alarm is repeated, then click on the Repeat Tab to select how often the alarm is repeated.

4. Click on the "Alarm Info." tab and enter the name which you would like to assign to the alarm. A message may also optionally be entered on the tab to be displayed in the alarm window.

5. Click on the "Alarm Script" tab. Follow step 6 below image.

6. Click on the "Add Event" button to create a new event for the script.

7. Select the type of event which you would like and configure the options for the event (see illustration below). Once this is done click the OK button on the Add Event window and the new event will appear in the Add Alarm window.

8. Continue adding events by clicking on the Add Event button. You may go back and edit individual events by clicking on the Edit Event button and events can be deleted through the Delete Event button. The order of events can be changed by using the Move Up and Move Down buttons.

9. Once all events are entered, click on the OK button on the Add Alarm window to accept the alarm and to place it in the list of alarms.


Client/Server Configuration

One of AlarmWiz's unique features is that allows a "client/server" type of configuration in which multiple clients share a single alarm configuration file. This allows multiple machines to perform the same scripts such as connecting to the network, launching programs, and more. In this setup all clients should have either a drive mapped to the server where the alarmwiz directory is located or the alarm file (alfile.ini) should be uploaded to a web server using FTP in binary mode.

To configure the "client/server" type of configuration, select Options then Network Configuration on the main AlarmWiz window. Select the configuration for the system:

Single User: Single user environment. For normal non client/server operation.

Server User: Server user environment. Should be set on the server which hosts the AlarmWiz file.

Options: Create Configuration File - This option allows a configuration file to be created which can be copied to all client systems. This option assumes that all clients will map the server to the same drive letter.

Client User: Client user environment. Should be set on all clients using the configuration file from the server.

Options:

Configuration File Location - Enter the full path of the configuration file (alfile.ini). The path should be on a drive mapped to the remote server.

Automatically Load Updates From File Server - Reloads the alarm list from the mapped file at the specified interval.

Web Client User: Web client user environment. Should be set on all clients connecting to a web server to download configuration files.

Options:

Configuration File Location - Enter the full URL of the configuration file (ex. http://www.myserver.com/alfile.ini).

Automatically Check Web Server For Updates - Checks web server at the specified interval for updates to the configuration file based on file date.


FTP Options

The following options are used for scripting FTP sessions:

FTP Server Name: The FTP server name is simply the name of the FTP server. Do not prefix the name with ftp://. For example, on typical servers this would be ftp.myserver.com or server.com.

FTP Port: On almost all FTP servers the port should be set 21 since this is the standard FTP port.

Local File: On uploads, this is the file on your system which you want uploaded. On downloads, this is the file which want to store the downloaded file in.

Remote File: On uploads, this is the file where you want to store your uploaded file on the server. On downloads, this is the file which you want to download. Note: See the FAQ question 2 regarding a bug which occured when the remote file did not include a path.

User Name and Password: These are the login username and password for your FTP account.

Transfer Option: Specifies whether the operation should be to download a file from the FTP server or to upload a file to the FTP server.

Transfer Mode: Specified whether ASCII or binary transfer mode should be used. Generally, text files and HTML files should be transferred using ASCII while binary transfers should be used on images (ex. .gif, .jpg), .zip files, executables (.exe), and most other files.